﻿html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

header {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 9999999;
}

#bodyContainer {
    width: 95%;
    margin: 70px auto;
    z-index: 9999998;
}

#bodyContainerAdvice {
    width: 100%;
    margin: auto;
    z-index: 9999998;
}
/*------------------------------------------ title ---------------------------------------------*/
.title {
    text-align: center;
    padding: 2em;
    height: 20%;
}

.licensebox {
    margin: auto;
    width: 90%;
    /* 横幅を90%に指定 */
    height: 70%;
    /* 縦幅を140pxに指定　160pxにしたいが画面にスクロールが出てしまう⇒25％に変更　idの方で全体取得 */
    border: 1px solid #000;
    /* わかりやすくボーダーを引く */
    overflow-y: scroll;
    /* 縦方向にスクロール可能にする */
}

.licensegroup {
    margin-top: 20px;
    height: 30%;
    bottom: 5%;
}


.licensetext {
    text-align: center;
}

.licensebutton {
    text-align: left;
    margin-top: 10px;
    margin-left: 3px;
}

#div-password {
    position: relative;
}

#clickMark {
    position: absolute;
    top: 50%;
    right: 2%;
    transform: translateY(-50%);
}

#passwordInput {
    padding-right: 40px;
}

body[inert] {
    background: rgba(0, 0, 0, 0.05);
    /* 黒色の5%の透明度 */
}

.error-message {
    color: red;
    margin-top: 30px;
    display: none;
    /* 初期状態で非表示にする */
}

.usererrormessage {
    color: red;
    margin-top: 30px;
    display: block;
}

img {
    -webkit-user-drag: none;
}

::-ms-reveal {
    display: none;
}

/*--------------------------------------- input form -------------------------------------------*/
.input_area {
    margin-bottom: 70px;
}

.select_First_Contents {
    width: 40%;
    /*--幅--*/
    -webkit-appearance: none;
    /*--各ブラウザのCSSを解除--*/
    -moz-appearance: none;
    /*--各ブラウザのCSSを解除--*/
    appearance: none;
    /*--各ブラウザのCSSを解除--*/
    margin: 1em 0;
    padding: .4em 1em;
    font-size: 16px;
    border-radius: 10px;
    border: solid 2px #ccc;
    background-repeat: no-repeat;
    background-size: 18px 10px;
    background-position: right 20px center;
    background-color: #fff;
    overflow: scroll;
}

.select_Second_Contents {
    width: 53%;
    /*--幅--*/
    -webkit-appearance: none;
    /*--各ブラウザのCSSを解除--*/
    -moz-appearance: none;
    /*--各ブラウザのCSSを解除--*/
    appearance: none;
    /*--各ブラウザのCSSを解除--*/
    margin: 1em 0;
    padding: .4em 1em;
    font-size: 16px;
    border-radius: 10px;
    border: solid 2px #ccc;
    background-repeat: no-repeat;
    background-size: 18px 10px;
    background-position: right 20px center;
    background-color: #fff;
    overflow: scroll;
}

select {
    width: 40%;

    /*--幅--*/
    -webkit-appearance: none;
    /*--各ブラウザのCSSを解除--*/
    -moz-appearance: none;

    /*--各ブラウザのCSSを解除--*/
    appearance: none;

    /*--各ブラウザのCSSを解除--*/
    margin: 1em 0;
    padding: .4em 1em;
    font-size: 16px;
    border-radius: 10px;
    border: solid 2px #ccc;
    background-repeat: no-repeat;
    background-size: 18px 10px;
    background-position: right 20px center;
    background-color: #fff;
    overflow: scroll;
}

.review_contents {
    margin: 6px 0px 0px 0px;
}

/*----------------------------------------- message --------------------------------------------*/
.message_area {
    height: 20vh;
    min-height: 140px;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

#message {
    position: relative;
    top: 10%;
    margin: 0 auto;
    z-index: 9999997;

    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    justify-content: center;
    padding: 1em;
    box-sizing: border-box;
    width: 85%;
    min-height: 100px;
    border: solid 3px #6c757d;
    border-radius: 15px;
    background-color: #FFF;
    font-size: 15px;
}

#message:before {
    content: "";
    position: absolute;
    bottom: -24px;
    left: 50%;
    margin-left: -15px;
    border: 12px solid transparent;
    border-top: 12px solid #FFF;
    z-index: 2;
}

#message:after {
    content: "";
    position: absolute;
    bottom: -30px;
    left: 50%;
    margin-left: -17px;
    border: 14px solid transparent;
    border-top: 14px solid #6c757d;
    z-index: 1;
}

/*----------------------------------------- message --------------------------------------------*/
.image_area {
    height: 55vw;
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    overflow: hidden;
}

.image {
    width: 100%;
    height: 100%;
    margin: auto;
    object-fit: cover;
}

#advice_top_area{
    margin-top: 20px;
}

#advice_top_area > h1 {
    text-align: center;
    margin-bottom: 1rem;
}

#advice_bottom_area {
    background-color: #F2F2F2;
    position: fixed;
    width: 100%;
    left: 0;
    right: 0;
    bottom: 16%;
    margin: auto;
    height: 22%;
    border-radius: 10px;
}

#advice_bottom_area:before {
    content: "";
    position: absolute;
    right: 0;
    top: -20px;
    left: 0;
    width: 0px;
    height: 0px;
    margin: auto;
    border-style: solid;
    border-color: transparent transparent #F2F2F2 transparent; 
    border-width: 0 20px 20px 20px; 
}

#advice_top_area > p,
#advice_bottom_area > p {
    margin: 0 1rem 10px 10px;
    overflow-wrap: break-word;
}

#advice_bottom_area > h3 {
    padding-top: 20px;
    margin-bottom: 1rem;
    text-align: center;
}

#advice_okbutton_area {
    position: absolute;
}

#advice_okbutton_area > form {
    left: 0;
    right: 0;
    margin: auto;
}

#advice_button_area {
    display: flex;
}

#advice_button_area:first-child {
    margin-left: 5px;
}

/*---------------------------------------- charactor -------------------------------------------*/
.charactor_area {
    position: fixed;
    top: 30vh;
    left: 0;
    right: 0;
    height: auto;
    text-align: center;
    overflow: hidden;
}

#charactor_img {
    max-height: 100%
}

video {
    width: 100%;
    max-height: 100%;
    z-index: 35;
    object-fit: cover;
}

#charactor_mov {
    width: 100%;
    display: block;
    margin: auto;
}

/*-------------------------------------- answer button -----------------------------------------*/
.answer_button_area,
.advicesselect_button_area {
    width: 50%;
    margin: 6px auto;
    text-align: center;
    font-size: 16px;
}

.advicesselect_button_area {
    width: 65% !important;
}

.ok_button_area {
    width: 50%;
    margin: 6px auto;
    text-align: center;
    font-size: 16px;
}

.ok_button_bottom {
    position: fixed;
    bottom: 2%;
    width: 95%;
    margin: 8px auto;
}

.answer_button_left_area {
    width: 50%;
    text-align: left;
    font-size: 16px;
    margin-top: 8px;
    margin-bottom: 8px;
}

.answer_button_area:first-child {
    margin-right: 2px;
}

.answer_button {
    width: 100%;
    display: inline-block;
    line-height: 1.8;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    border: none;
    border-radius: 0.5rem;
    padding: 8px;
    color: #fff;
    background-color: #8caf9e;
    font-weight: bold;
    min-width: 80px;
}

.answer_button:hover {
    background-color: #6c9782;
}

#reviewSubmit:disabled {
    background-color: #aeb6bd;
}

#OkButton:disabled {
    background-color: #aeb6bd;
}

#PhysicalCondition1SubmitButton:disabled {
    background-color: #aeb6bd;
    cursor: not-allowed;
}

.select-btn-form {
    position: fixed;
    bottom: 7%;
    width: 95%;
    font-size: 15px;
}

.answer_button_row_area {
    display: flex;
}

#answer_button_row_ara_answer {
    margin: auto;
}

#answer_button_row_ara_answer > .answer_button_area {
    margin: auto;
}

#answer_button_row_ara_answerselect {
    margin: auto;
}

#answer_button_row_ara_answerselect > .answer_button_area {
    margin: 0px auto 8px;
}

#answer_button_row_ara_answerselect > .answer_button_area:last-child {
    margin: 0px auto;
}

/*-------------------------------------- answer button -----------------------------------------*/
.answer_button_checkBox_area {
    position: relative;
}

.answer_button_checkBox {
    position: absolute;
    opacity: 0;
}

.answer_button_checkBox + .answer_button {
    background-color: #8caf9e;
}

.answer_button_checkBox:checked + .answer_button {
    background-color: #3e5d4e;
}

/* ラジオボタン のスタイル */
.answer_button_radio {
    position: absolute;
    opacity: 0;
}

.answer_button_radio_label {
    background-color: #8caf9e;
    cursor: pointer;
}

.answer_button_radio:checked + .answer_button_radio_label {
    background-color: #3e5d4e;
}

.answer_button_radio:hover + .answer_button_radio_label {
    background-color: #6c9782;
}

#question-form,
#advice-select-form {
    max-height: 37%;
}

#advice-select-form {
    overflow: scroll;
}

#question-button-area-single,
#question-button-area-multi {
    height: 13.5rem;
    overflow: scroll;
}

#question-button-area-single {
    display: flex;
    flex-direction: column; 
    justify-content: flex-end;
}


#question-button-area > .answer_button_row_area:first-child > .answer_button_area {
    margin-top: 0px;
    margin-bottom: 6px;
    margin-right: auto;
    margin-left: auto;
}

#question-button-area > .answer_button_row_area:first-child > .answer_button_area:first-child {
    margin-right: 2px;
}

@media screen and (max-width: 380px) {
    #question-button-area {
    }
}

@media screen and (min-width: 381px) and (max-width: 390px) {
    #question-form,
    #advice-select-form {
        max-height: 50%;
    }

    #question-button-area-single, 
    #question-button-area-multi {
        height: 20.5rem;
        overflow: scroll;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
    }
}

/*-------------------------------------- common -----------------------------------------*/
    #topmenu-group {
    width: 100%;
}

#topmenu-header {
    margin: 0px 0px 0px 15px;
}

#topmenu-top-contents {
    display: flex;
}

#topmenu-top-contents>p {
    margin: 0px 0px 0px 15px;
}

#topmenu-top-button-div {
    width: 100%;
    text-align: end;
}

#topmenu-top-button-div>button {
    margin-right: 5px;
}

#topmenu-bottom-contents {
    margin-left: 15px;
}

.top-menu {
    display: none;
}

/*-------------------------------------- license -----------------------------------------*/
#license-body {
    position: absolute;
    margin-right: 2.5%;
    height: 88vh;
    overflow: scroll;
}

#review_input_area {
    margin-bottom: 0px;
}

#reviewError {
    margin: 20px 0px;
}

/*-------------------------------------- license -----------------------------------------*/
.margin-left15 {
    margin-left: 15px;
}

/*-------------------------------------- review -----------------------------------------*/
.header-row {
    margin: 10px 0px;
}

#review-pagination-container-owner {
    width: 40%;
    margin: 0 auto;
}

#review-pagination-container {
    display: flex;
    justify-content: center;
}

.review-group .my-4:first-of-type {
    margin-top: 0px !important;
}

.font-red {
    color: red;
}

#select-page-center-container {
    display: flex;
    margin: 0px 10px;
}

#select-page-center-container > p {
    margin: 0px 10px;
}

.build-property {
    position: fixed; /* 固定配置 */
    bottom: 0; /* 画面最下部から0の位置 */
    left: 0; /* 左端に寄せる */
    width: 100%; /* 幅を画面全体に */
    z-index: 9999; /* 他の要素より前面に表示 */
}